body {
  background-color: var(--Body);
  font-family: "YekanBakh-Medium";
}

input:focus {
  outline: none;
  border: none;
}

input {
  outline: none;
  border: none;
}

a {
  text-decoration: none;
}

button {
  border: none;
  background-color: transparent;
}

main {
  width: 100%;
  margin: 0px auto;
}

.product-cart {
  width: 300px;
  height: 400px;
  display: flex;
  flex-direction: column;
  padding: 16px;
  border-radius: 16px;
  background-color: #fff;
  box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.05);
  transition: 0.2s ease;
}

.product-cart:hover {
  box-shadow: 0px 2px 8px 0px
    rgba(99.00000000000001, 99.00000000000001, 99.00000000000001, 0.2);
}

.product-image {
  align-self: center;
  padding-bottom: 10px;
  display: flex;
  justify-content: center;
  width: 90%;
}

.product-title {
  font-size: 14px;
  color: var(--text);
  line-height: 1.6em;
  transition: 0.2s ease;
  height: calc(1.6em * 2);
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
}

.product-title:hover {
  color: var(--primary);
}

.product-price {
  margin: 0px;
  font-family: "YekanBakh-Bold";
  display: flex;
  align-items: center;
  gap: 10px;
  text-align: right;
  font-size: 20px;
}

.add-basket {
  background-color: var(--primary);
  padding: 10px 15px;
  border-radius: 8px;
  color: var(--white);
  cursor: pointer;
  width: 100%;
  font-size: 14px;
  text-align: center;
  align-self: center;
  transition: 0.2s ease;
}

.add-basket:hover {
  background-color: var(--hover);
  transform: scale(1.05);
}

.toman {
  font-size: 12px;
  color: var(--second-text);
}

.dynamic-content {
  margin-top: 30px;
  width: 100%;
  display: flex;
  gap: 20px;
  direction: rtl;
  flex-wrap: wrap;
  padding-bottom: 30px;
  align-items: center;
  justify-content: center;
}

.bottom-product__cart {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
}

.category-title {
  font-size: 22px;
  color: var(--text);
}

.fade-line {
  position: relative;
  border: none;
  height: 1px;
  width: 100%;
  margin: 1rem auto;
  overflow: hidden;
  background: transparent;
}

.fade-line::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to right,
    transparent 0%,
    var(--border) 20%,
    var(--border) 80%,
    transparent 100%
  );
}

strong {
  font-family: "YekanBakh-Bold";
  font-size: 28px;
}

/* Blog Section */

.blog-cart a,
.blog-cart img {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  pointer-events: auto;
}

.blog-cart {
  flex-shrink: 0;
  box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.05);
  transition: 0.2s ease;
  width: 300px;
  padding: 16px;
  display: flex;
  flex-direction: column;
  border-radius: 16px;
  background-color: var(--white);
}

.blog-cart:hover {
  box-shadow: 0px 2px 8px 0px
    rgba(99.00000000000001, 99.00000000000001, 99.00000000000001, 0.2);
}

.blog-img {
  width: 100%;
  height: 200px;
  border-radius: 16px;
}

.blog-title {
  margin: 0px;
  font-size: 14px;
  color: var(--text);
  line-height: 1.6em;
  transition: 0.2s ease;
  height: calc(1.6em * 2);
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
}

.blog-title:hover {
  color: var(--primary);
}

.bottom-blog__cart {
  display: flex;
  align-items: end;
  justify-content: space-between;
  margin-top: 30px;
}

.blog-date {
  margin: 0px;
}

.blog-see__more {
  margin: 0px;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  color: var(--second-text);
}

.blog-see__more .icon-seeAll {
  transition: transform 0.2s ease;
}
.blog-see__more:hover {
  color: var(--primary);
}

.blog-see__more:hover .icon-seeAll {
  transform: translateX(-5px);
}

.blog-date {
  font-family: "IranYekan-Light";
  color: #b8b8c0;
  font-size: 12px;
  display: flex;
  gap: 5px;
}

.bottom-product__cart {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
}

.blog-img__link {
  margin: 0px;
}

.hidden {
  display: none !important;
}
